OBJECTS
List Object Subscriptions
API to fetch a paginated list of users or child objects subscribed to a given object.
GET
/
v1
/
object
/
{object_type}
/
{id}
/
subscription
/
List Object Subscriptions
curl --request GET \
--url https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 3,
"limit": 10,
"has_prev": false,
"before": null,
"has_next": false,
"after": null
},
"results": [
{
"properties": {},
"user": null,
"object": {
"id": "devs",
"object_type": "teams",
"subscriptions_count": 1,
"updated_at": "2025-04-06T11:00:24.257046+00:00"
},
"created_at": "2025-04-06T11:00:24.260496+00:00",
"updated_at": "2025-04-06T11:00:24.260496+00:00"
},
{
"properties": {
"role": "employee"
},
"user": {
"distinct_id": "user_456",
"updated_at": "2023-08-25T13:31:24.517819+00:00"
},
"object": null,
"created_at": "2024-11-10T21:40:02.169501+00:00",
"updated_at": "2024-11-10T21:40:02.169501+00:00"
}
]
}{
"code": 404,
"message": "object 'obj_type/obj_id' not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Unique identifier of the object in your system
Used to group similar objects together. Give plural namespace like teams, organizations, and roles.
Query Parameters
number of results to be returned in API response
cursor to fetch the next page (from meta.after of the previous response)
cursor to fetch the previous page (from meta.before of the previous response)
Was this page helpful?
⌘I
List Object Subscriptions
curl --request GET \
--url https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://hub.suprsend.com/v1/object/{object_type}/{id}/subscription/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"count": 3,
"limit": 10,
"has_prev": false,
"before": null,
"has_next": false,
"after": null
},
"results": [
{
"properties": {},
"user": null,
"object": {
"id": "devs",
"object_type": "teams",
"subscriptions_count": 1,
"updated_at": "2025-04-06T11:00:24.257046+00:00"
},
"created_at": "2025-04-06T11:00:24.260496+00:00",
"updated_at": "2025-04-06T11:00:24.260496+00:00"
},
{
"properties": {
"role": "employee"
},
"user": {
"distinct_id": "user_456",
"updated_at": "2023-08-25T13:31:24.517819+00:00"
},
"object": null,
"created_at": "2024-11-10T21:40:02.169501+00:00",
"updated_at": "2024-11-10T21:40:02.169501+00:00"
}
]
}{
"code": 404,
"message": "object 'obj_type/obj_id' not found"
}